Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.web.action
Class AbstractCommentAction

    java.lang.Object
      net.sourceforge.pebble.web.action.Action
          net.sourceforge.pebble.web.action.AbstractCommentAction

Direct Known Subclasses:
  ConfirmCommentAction, ReplyToBlogEntryAction, SaveCommentAction, ViewBlogEntryAction

    public abstract class AbstractCommentAction

extends Action

Adds a comment to an existing blog entry.

Author:
  Simon Brown

Constructor Summary
`AbstractCommentAction()`

Method Summary
`protected Comment` | `createBlankComment(Blog blog, BlogEntry blogEntry, HttpServletRequest request)`
`protected Comment` | `createComment(HttpServletRequest request, BlogEntry blogEntry)`
`protected void` | `saveComment(HttpServletRequest request, HttpServletResponse response, BlogEntry blogEntry, Comment comment)`
`protected ValidationContext` | `validateComment(Comment comment)`

Methods inherited from class net.sourceforge.pebble.web.action.Action
`getModel, process, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCommentAction

    public AbstractCommentAction()

Method Detail

### createComment

    protected Comment createComment(HttpServletRequest request,
                                    BlogEntry blogEntry)

### createBlankComment

    protected Comment createBlankComment(Blog blog,
                                         BlogEntry blogEntry,
                                         HttpServletRequest request)

### validateComment

    protected ValidationContext validateComment(Comment comment)

### saveComment

    protected void saveComment(HttpServletRequest request,
                               HttpServletResponse response,
                               BlogEntry blogEntry,
                               Comment comment)
                        throws BlogServiceException

  Throws:
    `BlogServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.